org.bootchart.common

## Class PsStats

- java.lang.Object
- - org.bootchart.common.PsStats

-     public class PsStats
      extends java.lang.Object

  Process statistics.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Date` | `endTime`
    `java.util.List` | `processList` A list of processes (with enclosing CPU samples).
    `int` | `samplePeriod` Statistics sampling period.
    `java.util.Date` | `startTime` Start and end of sampling period.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsStats()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processList

          public java.util.List processList

      A list of processes (with enclosing CPU samples).

    - #### samplePeriod

          public int samplePeriod

      Statistics sampling period.

    - #### startTime

          public java.util.Date startTime

      Start and end of sampling period.

    - #### endTime

          public java.util.Date endTime

  - ### Constructor Detail

    - #### PsStats

          public PsStats()